=== debian/changelog ===
kraken (0.10.5~beta-2) unstable; urgency=medium

  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Thu, 29 Oct 2015 16:10:59 +0100

kraken (0.10.5~beta-1) unstable; urgency=low

  * Initial release (Closes: #798442)

 -- Andreas Tille <tille@debian.org>  Wed, 09 Sep 2015 14:10:52 +0200
