=== debian/control ===
Source: kraken
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/kraken.git
Vcs-Git: git://anonscm.debian.org/debian-med/kraken.git
Homepage: http://ccb.jhu.edu/software/kraken/

Package: kraken
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: assigning taxonomic labels to short DNA sequences
 Kraken is a system for assigning taxonomic labels to short DNA
 sequences, usually obtained through metagenomic studies. Previous
 attempts by other bioinformatics software to accomplish this task have
 often used sequence alignment or machine learning techniques that were
 quite slow, leading to the development of less sensitive but much faster
 abundance estimation programs. Kraken aims to achieve high sensitivity
 and high speed by utilizing exact alignments of k-mers and a novel
 classification algorithm.
 .
 In its fastest mode of operation, for a simulated metagenome of 100 bp
 reads, Kraken processed over 4 million reads per minute on a single
 core, over 900 times faster than Megablast and over 11 times faster than
 the abundance estimation program MetaPhlAn. Kraken's accuracy is
 comparable with Megablast, with slightly lower sensitivity and very high
 precision.
