=== debian/watch ===
version=3

opts="uversionmangle=s/-beta/~beta/" \
  https://github.com/DerrickWood/kraken/releases .*/archive/v(\d[\d.beta-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
