## kraken 1.1

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 CXX = g++
 CXXFLAGS = -Wall -fopenmp -O3
-PROGS = db_sort set_lcas classify make_seqid_to_taxid_map db_shrink
+PROGS = db_sort set_lcas classify make_seqid_to_taxid_map db_shrink kmer_estimator
 
 .PHONY: all install clean
 
@@ -18,6 +18,8 @@
 
 set_lcas: krakendb.o quickfile.o krakenutil.o seqreader.o
 
+kmer_estimator: krakenutil.o seqreader.o
+
 classify: krakendb.o quickfile.o krakenutil.o seqreader.o
 
 make_seqid_to_taxid_map: quickfile.o
