=== debian/changelog ===
kraken (1.1-2~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.
  * Revert to debhelper 10 (latest version in Jessie)

 -- Andreas Tille <tille@debian.org>  Mon, 12 Feb 2018 11:00:42 +0100

kraken (1.1-2) unstable; urgency=medium

  * Slighly more robust method to obtain taxid of fasta files to at least
    enable reading the provided data examples of autopkgtest
    Closes: #889623

 -- Andreas Tille <tille@debian.org>  Wed, 07 Feb 2018 13:59:49 +0100

kraken (1.1-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Tue, 06 Feb 2018 14:42:43 +0100

kraken (1.0-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.
  * No hardening

 -- Andreas Tille <tille@debian.org>  Tue, 06 Feb 2018 12:26:39 +0100

kraken (1.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Mon, 13 Nov 2017 16:37:12 +0100

kraken (0.10.5~beta-6) unstable; urgency=medium

  * Build-Depends: jellyfish1
  * Architecture: any
    It has turned out that despite beeing dead upstream jellyfish1 was
    portable to several other architectures by a simple patch (see #874549)
    so kraken can be provided for more architectures now.

 -- Andreas Tille <tille@debian.org>  Sat, 09 Sep 2017 22:08:16 +0200

kraken (0.10.5~beta-5) unstable; urgency=medium

  * Architecture: any-amd64
    Closes: #872180
  * cme fix dpkg-control
  * really do not read d/changelog

 -- Andreas Tille <tille@debian.org>  Thu, 24 Aug 2017 14:16:48 +0200

kraken (0.10.5~beta-4) unstable; urgency=medium

  * Team upload.
  
  [ Nadiya Sitdykova ]
  * Add autopkgtest test-suite
  * Fix version of dependency: jellyfish (= 1.1.5-1)
  * Fix dependency from jellyfish to jellyfish1

  [ Steffen Moeller ]
  * debian/upstream/metadata: Added ref to bio.tools
  * debian/control: Policy bump to 4.0.1

  [ Andreas Tille ]
  * debhelper 10
  * d/rules: do not read d/changelog
  * hardening

 -- Nadiya Sitdykova  <rovenskasa@gmail.com>  Thu, 10 Aug 2017 23:13:32 +0200

kraken (0.10.5~beta-3) UNRELEASED; urgency=medium

  * Add missing dependency: jellyfish
  * Added ref to OMICtools (OMIC_04481)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Nov 2015 10:17:18 +0100
