=== debian/control ===
--- 
+++ 
@@ -3,16 +3,18 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10),
+               jellyfish1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/kraken.git
-Vcs-Git: git://anonscm.debian.org/debian-med/kraken.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/kraken.git
 Homepage: http://ccb.jhu.edu/software/kraken/
 
 Package: kraken
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         jellyfish1
 Description: assigning taxonomic labels to short DNA sequences
  Kraken is a system for assigning taxonomic labels to short DNA
  sequences, usually obtained through metagenomic studies. Previous
