=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                jellyfish1
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/kraken.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/kraken.git
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/med-team/kraken
+Vcs-Git: https://salsa.debian.org/med-team/kraken.git
 Homepage: http://ccb.jhu.edu/software/kraken/
+Rules-Requires-Root: no
 
 Package: kraken
 Architecture: any
