=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # DH_VERBOSE := 1
 
-# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 include /usr/share/dpkg/default.mk
 
@@ -20,3 +20,9 @@
 override_dh_auto_install:
 	dh_auto_install -- KRAKEN_DIR=$(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)
 	./install_kraken.sh /usr/lib/$(DEB_SOURCE) $(DEB_SOURCE)
+
+override_dh_install:
+	dh_install
+	for pl in `grep -Rl '#![[:space:]]*/usr/bin/env[[:space:]]\+perl' debian/*/usr/*` ; do \
+	    sed -i '1s?^#![[:space:]]*/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
+	done
