=== debian/watch ===
version=4

opts="uversionmangle=s/-beta/~beta/" \
  https://github.com/DerrickWood/kraken/releases .*/v(\d[\d.beta-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
