## kraken llm-0.1.2.post1

=== Makefile ===
--- 
+++ 
@@ -153,6 +153,22 @@
 	@echo "$(GREEN)Тестирование интеграции универсального клиента...$(NC)"
 	python3 tests/integration/test_universal_integration.py
 
+chat-simple: ## Запустить простой терминальный чат
+	@echo "$(GREEN)Запуск простого чата...$(NC)"
+	python3 simple_chat.py
+
+chat-advanced: ## Запустить продвинутый чат с голосовым вводом
+	@echo "$(GREEN)Запуск продвинутого чата...$(NC)"
+	python3 chat_advanced.py
+
+chat-reasoning: ## Чат с приоритетом reasoning модели
+	@echo "$(GREEN)Запуск чата с reasoning приоритетом...$(NC)"
+	python3 chat_reasoning.py
+
+chat-smart: ## Умный чат с анализом качества рассуждений
+	@echo "$(GREEN)Запуск умного чата с анализом качества...$(NC)"
+	python3 smart_chat.py
+
 capabilities-report: ## Создать отчет о возможностях моделей (legacy)
 	@echo "$(GREEN)Создание отчета о возможностях моделей (legacy)...$(NC)"
 	python3 model_capabilities_detector.py
